Bio::Tools::Run::Eponine(3)

NAME
Bio::Tools::Run::Eponine - Object for execution of the Eponine which is a mammalian TSS predictor

SYNOPSIS
  use Bio::Tools::Run::Eponine;
  use strict;
  my $seq = "/data/seq.fa";
  my $threshold  = "0.999";
  my @params = ( '-seq' => $seq,
                 '-threshold' => $threshold,
                 '-epojar'  => '/usr/local/bin/eponine-scan.jar',
                  '-java'  => '/usr/local/bin/java');

  my $factory = Bio::Tools::Run::Eponine->new(@params);
  # run eponine against fasta
  my $r = $factory->run($seq);
  my $parser = Bio::Tools::Eponine->new($r);

  while (my $feat = $parser->next_prediction){
          #$feat contains array of SeqFeature
          foreach my $orf($feat){
                  print $orf->seqname. "\n";
          }
  }

 # Various additional options and input formats are available.  See
 # the DESCRIPTION section for details.

DESCRIPTION
wrapper for eponine, a mammalian TSS predictor.

The environment variable EPONINEDIR must be set to point at either the directory which contains eponine-scan.jar or directly at the jar which eponine-scan classfiles.

FEEDBACK

  Mailing Lists
User feedback is an integral part of the evolution of this and other Bioperl modules. Send your comments and suggestions preferably to one of the Bioperl mailing lists. Your participation is much appreciated.

  bioperl-l@bioperl.org               - General discussion
  http://bio.perl.org/MailList.html   - About the mailing lists

  Reporting Bugs
Report bugs to the Bioperl bug tracking system to help us keep track the bugs and their resolution. Bug reports can be submitted via email or the web:

  bioperl-bugs@bio.perl.org
  http://bio.perl.org/bioperl-bugs/

AUTHOR
Email gisoht@nus.edu.sg

APPENDIX
The rest of the documentation details each of the object methods. Internal methods are usually preceded with a _

  java
    Title   :   java
    Usage   :   $obj->java('/usr/opt/java130/bin/java');
    Function:   Get/set method for the location of java VM
    Args    :   File path (optional)

  epojar
    Title   :   epojar
    Usage   :   $obj->epojar('/some/path/to/eponine-scan.jar');
    Function:   Get/set method for the location of the eponine-scan executable JAR
    Args    :   Path (optional)

  threshold
 Title   : threshold
 Usage   : my $threshold = $self->threshold
 Function: Get/Set the threshold for Eponine
 Returns : string
 Args    : b/w 0.9 and  1.0

  run
 Title   : run
 Usage   : my @genes = $self->run($seq)
 Function: runs Eponine and creates an array of features
 Returns : An Array of SeqFeatures
 Args    : A Bio::PrimarySeqI

  _setinput()
 Title   : _setinput
 Usage   : Internal function, not to be called directly
 Function: writes input sequence to file and return the file name
 Example :
 Returns : string
 Args    :

  _run_eponine
    Title   :  run_eponine
    Usage   :   $obj->_run_eponine()
    Function:   execs the Java VM to run eponine
    Returns :   none
    Args    :   none